<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3c.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets">
<h:head>
</h:head>
<h:body>
	<a href="add_departamento.jsf">Add Departamento</a>

	<h:form id="form">
		<p:growl id="msgs" life="2000"/>

		<p:dataTable id="dt-dpto" var="dpto" value="#{departamentoMB.departamentos}" editable="true" style="margin-bottom:20px">
			<f:facet name="header">Departamento</f:facet>

			<p:ajax event="rowEdit" listener="#{departamentoMB.onRowEdit}" update=":form:msgs" />
			<p:ajax event="rowEditCancel" listener="#{departamentoMB.onRowCancel}" update=":form:msgs" />

			<p:column headerText="Id" style="width:45px">
				<h:outputText value="#{dpto.id}" />
			</p:column>

			<p:column headerText="Nome">
				<p:cellEditor>
					<f:facet name="output">
						<h:outputText value="#{dpto.name}" />
					</f:facet>
					<f:facet name="input">
						<p:inputText value="#{dpto.name}" style="width:100%" label="Nome" />
					</f:facet>
				</p:cellEditor>
			</p:column>

			<p:column headerText="Editar" style="width:45px">
				<p:rowEditor />
			</p:column>
		</p:dataTable>

		<!--  -->
		<a href="add_empregado.jsf">Add Empregado</a>
		<p:dataTable id="dt-emp" var="emp" value="#{empregadoMB.empregados}" editable="true" style="margin-bottom:20px">
			<f:facet name="header">Empregado</f:facet>

			<p:ajax event="rowEdit" listener="#{empregadoMB.onRowEdit}" update=":form:msgs" />
			<p:ajax event="rowEditCancel" listener="#{empregadoMB.onRowCancel}" update=":form:msgs" />

			<p:column headerText="Id" style="width:45px">
				<h:outputText value="#{emp.id}" />
			</p:column>

			<p:column headerText="Nome">
				<p:cellEditor>
					<f:facet name="output">
						<h:outputText value="#{emp.name}" />
					</f:facet>
					<f:facet name="input">
						<p:inputText value="#{emp.name}" style="width:100%" label="Nome" />
					</f:facet>
				</p:cellEditor>
			</p:column>
			
	       <p:column headerText="Departamento">
	           <p:cellEditor>
	               <f:facet name="output"><h:outputText value="#{emp.departamento.name}" /></f:facet>
	               <f:facet name="input">
	                   <h:selectOneMenu value="#{emp.departamento.name}" style="width:100%">
	                       <f:selectItems value="#{empregadoMB.departamentos}" var="man" itemLabel="#{man}" itemValue="#{man}" />
	                   </h:selectOneMenu>
	               </f:facet>
	           </p:cellEditor>
	       </p:column>

			<p:column headerText="Editar" style="width:45px">
				<p:rowEditor />
			</p:column>
		</p:dataTable>


	</h:form>

	${about.name}

</h:body>
</html>
